#nmap-web-local.ph file - should not change much between releases
#---- Modify stuff below as appropriate for your site ----         

# Location of the namp executeable
$nmap_exec = "/usr/local/bin/nmap";

# initial_rtt_timeout basically ends up being HUNDRETHS of a second and
# controls how long we wait for a ping response from a SINGLE host.
# host_timeout controls how long we allow the probe to go in milliseconds.
# I had original set these as shown below ... but I suspect (?!?) that some
# random/unrepeatable inetd hangs might be attributable to it.
$nmap_options  = "-oM - -vv -sT -R --initial_rtt_timeout 1000 --host_timeout 60000";
$nmap_options  = "-oM - -vv -R -sT";
$nmap_ping_options = "-oM - -vv -R -sP";

# Define what will be show as options in the pull-down.
# Do this if for no other reason so the user will know the syntax of things
#@select_options = ("wolfman-clients" , "jester-clients" , "160.205.75.135-165");
@select_options = ("unix-clients" , "non-unix-clients" , "10.20.30.100-200");

# We have a "getnetgroup" command that expands a netgroup/host list
# to a list of hosts one per line. Define this if you have it ... leave
# it commented out if you do not.
$getnetgroup_exec = "/usr/local/share/bin/getnetgroup";
$getnetgroup_ignore = "!ignore-hosts !ss4040 !mlinkwtn !docutech !snt-view"; 

#Root directory in filesystem space where you installed this
$root_dir = "/usr/local/web/htdocs/nmap-web";

# Misc. Help File that includes some info from the nmap services file
$help_file = "$root_dir/help.html";

# OPTIONAL File where we log who ran this program on what ports on what hosts
# If you don't define this, then it won't be used
$log_file = "$root_dir/logs/logfile";

#OPTIONAL: Some misc. counters to keep track of accesses ... 
#          Yea, there are better ways to do this!  ;-)
#Don't define these and they won't be used ... but if so, they MUST be 
#   writeable by httpd!!!   Create 'em and stuff a zero in 'em to start things
$count_file1 = "$root_dir/counters/web-check-used";
$count_file2 = "$root_dir/counters/web-check-machines-yes";
$count_file3 = "$root_dir/counters/web-check-machines";

#Define this as a Perl regular expression to restrict access to the web page
# Example: $ips_who_can_use = "^10.20.30";  #Only allow from 10.20.30 subnet
$ips_who_can_use = "^.*";

#The person who wrote this abomination - also displayed on the web page
$author = "alek\@komar.org"; 

1; 
