#nmap-web-ports-local.ph file - should not change much between releases
#---- Modify stuff below as appropriate for your site ----         

# Define what ports will be presented as options
#   $ports is the actual port number used by nmap
#   $names is what is shows up in the select box as
#   $expected is the string you expect to see - if not, it will highlight in red# Note: the "#-" is used to sort 'em in the order you want in the select box
$ports{'0000000-ping'} = "0";
$names{'0000000-ping'} = "Check pingability";
$ports{'0000013-time'} = "13";
$names{'0000013-time'} = "13 - Daytime";
$expec{'0000013-time'} = "15";     # This is actually deviation in seconds
$ports{'0000021-ftp'} = "21";
$names{'0000021-ftp'} = "21 - FTP";
#$ports{'0000022-ssh'} = "22";
#$names{'0000022-ssh'} = "22 - ssh";
#$expec{'0000022-ssh'} = "SSH-1.5.1.2.27";
$ports{'0000025-mail'} = "25";
$names{'0000025-mail'} = "25 - mail";
$expec{'0000025-mail'} = "Sendmail 8.9.3";
$ports{'0000080-httpd'} = "80";
$names{'0000080-httpd'} = "80 - HTTP default";
$expec{'0000080-httpd'} = "Apache";
$ports{'0000109-pop2'} = "109";
$names{'0000109-pop2'} = "109 - POP2";
$expec{'0000109-pop2'} = "QPOP (version 3.0.2)";
$ports{'0000110-pop3'} = "110";
$names{'0000110-pop3'} = "110 - POP3";
$expec{'0000110-pop3'} = "QPOP (version 3.0.2)";
$ports{'0000143-imap2'} = "143";
$names{'0000143-imap2'} = "143 - IMAP2";
$ports{'0000220-imap3'} = "220";
$names{'0000220-imap3'} = "220 - IMAP3";
$ports{'8000010-more_httpd'} = "80,280,443,591,593,598,3128,7777,8000,8080";
$names{'8000010-more_httpd'} = "Check commonly used HTTP ports";
$ports{'8000020-many_httpd'} = "80-99,280,311,443,591,593,598,765,2250-2259,2627,2784,3030,3128,3131,3232,3333,5050,7457,7777,8000-8100,9090";
$names{'8000020-many_httpd'} = "Check LOTS of HTTP ports";
$ports{'9000000-special'} = "1,7,9,11,17,19,22,37,42,69,79,109,110,113,117,119,137,138,139,143,161,162,515,543,544,600,1103,5632";
$names{'9000000-special'} = "Misc. ports usually disabled";
#Only if you REALLY want this ...
#$ports{'9999999-all'} = "1-65535";
#$names{'9999999-all'} = "ALL ports";

1; 
